# Method Pike.identify_cycle()

Method identify_cycle

  ``array`(`mixed`) identify_cycle(`mixed` `x`)`

Description

  Identify reference cycles in Pike datastructures.

  This function is typically used to identify why certain datastructures need the gc to run to be freed.

Parameter `x`

  Value that is believed to be involved in a reference cycle.

Returns

  ``zero`` | Returns `UNDEFINED` if `x` is not member of a reference cycle.
  ``array`(`mixed`)` | Otherwise returns an array identifying a cycle with `x` as the first element, and where the elements refer to each other in order, and the last element refers to the first.